<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__smartio__functions__lut" kind="group">
    <compoundname>group_smartio_functions_lut</compoundname>
    <title>LUT Functions</title>
      <sectiondef kind="func">
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__lut_1ga749724addbcf0a2ccd7f624e4c1dbddf" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga057185e00625a60b6ee8f788b55f6413">cy_en_smartio_luttr_t</ref></type>
        <definition>cy_en_smartio_luttr_t Cy_SmartIO_GetLutTr</definition>
        <argsstring>(SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, cy_en_smartio_trnum_t trNum)</argsstring>
        <name>Cy_SmartIO_GetLutTr</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga93e2244ac0b5f930de93937ee83314cb">cy_en_smartio_lutnum_t</ref></type>
          <declname>lutNum</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1gada9635df8a567b5f23ff07ada7f11e52">cy_en_smartio_trnum_t</ref></type>
          <declname>trNum</declname>
        </param>
        <briefdescription>
<para>Gets the specified LUT input trigger source. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lutNum</parametername>
</parameternamelist>
<parameterdescription>
<para>LUT index number</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>trNum</parametername>
</parameternamelist>
<parameterdescription>
<para>Input trigger number</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>LUT input trigger source</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Refer<sp />to<sp />the<sp />Cy_SmartIO_SetLutTr()<sp />function<sp />usage<sp />example<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="511" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smartio.c" bodystart="482" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="550" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__lut_1gabd8fdb46c96035239fb3ff891eda27b9" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga539e453be0c4fdbcba47609451495f13">cy_en_smartio_status_t</ref></type>
        <definition>cy_en_smartio_status_t Cy_SmartIO_SetLutTr</definition>
        <argsstring>(SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, cy_en_smartio_trnum_t trNum, cy_en_smartio_luttr_t trSrc)</argsstring>
        <name>Cy_SmartIO_SetLutTr</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga93e2244ac0b5f930de93937ee83314cb">cy_en_smartio_lutnum_t</ref></type>
          <declname>lutNum</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1gada9635df8a567b5f23ff07ada7f11e52">cy_en_smartio_trnum_t</ref></type>
          <declname>trNum</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga057185e00625a60b6ee8f788b55f6413">cy_en_smartio_luttr_t</ref></type>
          <declname>trSrc</declname>
        </param>
        <briefdescription>
<para>Sets the specified LUT input trigger source. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lutNum</parametername>
</parameternamelist>
<parameterdescription>
<para>LUT index number</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>trNum</parametername>
</parameternamelist>
<parameterdescription>
<para>Input trigger number</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>trSrc</parametername>
</parameternamelist>
<parameterdescription>
<para>Input trigger source</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the operation</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The Smart I/O block must be disabled before calling this function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />ioss_0_port_8_smartio_0_HW<sp />SMARTIO_PRT8</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Smart<sp />I/O<sp />block<sp />8<sp />LUT1<sp />TR0<sp />needs<sp />to<sp />change<sp />to<sp />be<sp />sourced</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp />from<sp />I/O<sp />1<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__enums_1ga057185e00625a60b6ee8f788b55f6413">cy_en_smartio_luttr_t</ref><sp />lut1Tr0;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />lut1Tr0<sp />=<sp /><ref kindref="member" refid="group__group__smartio__functions__lut_1ga749724addbcf0a2ccd7f624e4c1dbddf">Cy_SmartIO_GetLutTr</ref>(SMARTIO_PRT8,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba8de9331a7e4bd3bf307aa79795fdbd1c">CY_SMARTIO_LUT1</ref>,<sp /><ref kindref="member" refid="group__group__smartio__enums_1ggada9635df8a567b5f23ff07ada7f11e52a0f3b1b2b5ccc8f8bd6cbff05b7f7048f">CY_SMARTIO_TR0</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(lut1Tr0<sp />!=<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ae739f5f57ff207b61bc7516c506197f1">CY_SMARTIO_LUTTR_IO1</ref>)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gae2e3b2cedcb5c84834aa48de6c753bcc">Cy_SmartIO_Disable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__lut_1gabd8fdb46c96035239fb3ff891eda27b9">Cy_SmartIO_SetLutTr</ref>(SMARTIO_PRT8,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba8de9331a7e4bd3bf307aa79795fdbd1c">CY_SMARTIO_LUT1</ref>,<sp /><ref kindref="member" refid="group__group__smartio__enums_1ggada9635df8a567b5f23ff07ada7f11e52a0f3b1b2b5ccc8f8bd6cbff05b7f7048f">CY_SMARTIO_TR0</ref>,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413ae739f5f57ff207b61bc7516c506197f1">CY_SMARTIO_LUTTR_IO1</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gac25d71fa083b90fd27006daff3279eec">Cy_SmartIO_Enable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="578" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smartio.c" bodystart="541" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="551" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__lut_1ga09f666d900222795aa57766a7d9f1981" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga539e453be0c4fdbcba47609451495f13">cy_en_smartio_status_t</ref></type>
        <definition>cy_en_smartio_status_t Cy_SmartIO_SetLutTrAll</definition>
        <argsstring>(SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, cy_en_smartio_luttr_t trSrc)</argsstring>
        <name>Cy_SmartIO_SetLutTrAll</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga93e2244ac0b5f930de93937ee83314cb">cy_en_smartio_lutnum_t</ref></type>
          <declname>lutNum</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga057185e00625a60b6ee8f788b55f6413">cy_en_smartio_luttr_t</ref></type>
          <declname>trSrc</declname>
        </param>
        <briefdescription>
<para>Sets all LUT input triggers to the same source. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lutNum</parametername>
</parameternamelist>
<parameterdescription>
<para>LUT index number</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>trSrc</parametername>
</parameternamelist>
<parameterdescription>
<para>Input trigger source</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the operation</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The Smart I/O block must be disabled before calling this function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />ioss_0_port_8_smartio_0_HW<sp />SMARTIO_PRT8</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Smart<sp />I/O<sp />block<sp />8<sp />LUT1<sp />TR0,<sp />TR1<sp />and<sp />TR2<sp />need<sp />to<sp />change<sp />to<sp />be</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp />sourced<sp />from<sp />LUT<sp />output<sp />2<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gae2e3b2cedcb5c84834aa48de6c753bcc">Cy_SmartIO_Disable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__lut_1ga09f666d900222795aa57766a7d9f1981">Cy_SmartIO_SetLutTrAll</ref>(SMARTIO_PRT8,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba8de9331a7e4bd3bf307aa79795fdbd1c">CY_SMARTIO_LUT1</ref>,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga057185e00625a60b6ee8f788b55f6413a559c27db7347f03edf19053e40c44c72">CY_SMARTIO_LUTTR_LUT2_OUT</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gac25d71fa083b90fd27006daff3279eec">Cy_SmartIO_Enable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="624" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smartio.c" bodystart="605" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="552" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__lut_1ga35b4f9ca54372a36243577c4b0929b8e" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE <ref kindref="member" refid="group__group__smartio__enums_1ga572df357a226e52ebe5c79b4684662a7">cy_en_smartio_lutopc_t</ref></type>
        <definition>__STATIC_INLINE cy_en_smartio_lutopc_t Cy_SmartIO_GetLutOpcode</definition>
        <argsstring>(SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum)</argsstring>
        <name>Cy_SmartIO_GetLutOpcode</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga93e2244ac0b5f930de93937ee83314cb">cy_en_smartio_lutnum_t</ref></type>
          <declname>lutNum</declname>
        </param>
        <briefdescription>
<para>Gets the opcode of the specified LUT. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lutNum</parametername>
</parameternamelist>
<parameterdescription>
<para>LUT index number</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>LUT opcode</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Refer<sp />to<sp />the<sp />Cy_SmartIO_SetLutOpcode<sp />function<sp />usage<sp />example<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="737" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="734" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="553" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__lut_1ga786472ea116cf9219772781e3af54428" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga539e453be0c4fdbcba47609451495f13">cy_en_smartio_status_t</ref></type>
        <definition>cy_en_smartio_status_t Cy_SmartIO_SetLutOpcode</definition>
        <argsstring>(SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, cy_en_smartio_lutopc_t opcode)</argsstring>
        <name>Cy_SmartIO_SetLutOpcode</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga93e2244ac0b5f930de93937ee83314cb">cy_en_smartio_lutnum_t</ref></type>
          <declname>lutNum</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga572df357a226e52ebe5c79b4684662a7">cy_en_smartio_lutopc_t</ref></type>
          <declname>opcode</declname>
        </param>
        <briefdescription>
<para>Sets the opcode of the specified LUT. </para>        </briefdescription>
        <detaileddescription>
<para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lutNum</parametername>
</parameternamelist>
<parameterdescription>
<para>LUT index number</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>opcode</parametername>
</parameternamelist>
<parameterdescription>
<para>LUT opcode</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the operation</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The Smart I/O block must be disabled before calling this function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />ioss_0_port_8_smartio_0_HW<sp />SMARTIO_PRT8</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Smart<sp />I/O<sp />block<sp />8<sp />LUT1<sp />op-code<sp />needs<sp />to<sp />be<sp />updated<sp />to<sp />combinatorial<sp />mode<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__enums_1ga572df357a226e52ebe5c79b4684662a7">cy_en_smartio_lutopc_t</ref><sp />opcode;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />opcode<sp />=<sp /><ref kindref="member" refid="group__group__smartio__functions__lut_1ga35b4f9ca54372a36243577c4b0929b8e">Cy_SmartIO_GetLutOpcode</ref>(SMARTIO_PRT8,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba8de9331a7e4bd3bf307aa79795fdbd1c">CY_SMARTIO_LUT1</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(opcode<sp />!=<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga572df357a226e52ebe5c79b4684662a7a79cb6f265fd4ce09180e9399394c02ee">CY_SMARTIO_LUTOPC_COMB</ref>)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gae2e3b2cedcb5c84834aa48de6c753bcc">Cy_SmartIO_Disable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__lut_1ga786472ea116cf9219772781e3af54428">Cy_SmartIO_SetLutOpcode</ref>(SMARTIO_PRT8,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba8de9331a7e4bd3bf307aa79795fdbd1c">CY_SMARTIO_LUT1</ref>,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga572df357a226e52ebe5c79b4684662a7a79cb6f265fd4ce09180e9399394c02ee">CY_SMARTIO_LUTOPC_COMB</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gac25d71fa083b90fd27006daff3279eec">Cy_SmartIO_Enable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="664" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smartio.c" bodystart="651" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="554" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__lut_1gabc227ab40c290d6f7f1de7632a590bac" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type>__STATIC_INLINE uint8_t</type>
        <definition>__STATIC_INLINE uint8_t Cy_SmartIO_GetLutMap</definition>
        <argsstring>(SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum)</argsstring>
        <name>Cy_SmartIO_GetLutMap</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga93e2244ac0b5f930de93937ee83314cb">cy_en_smartio_lutnum_t</ref></type>
          <declname>lutNum</declname>
        </param>
        <briefdescription>
<para>Gets the 3:1 truth table of the specified LUT. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;tr2&lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;tr1&lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;tr0&lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;lutNum &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 0  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 1  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 2  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 3  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 4  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 5  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 6  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 7  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lutNum</parametername>
</parameternamelist>
<parameterdescription>
<para>LUT index number</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Bitfield [7:0] mapping of the 3:1 LUT</para></simplesect>
<simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Refer<sp />to<sp />the<sp />Cy_SmartIO_SetLutMap<sp />function<sp />usage<sp />example<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="774" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" bodystart="771" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="555" />
      </memberdef>
      <memberdef const="no" explicit="no" id="group__group__smartio__functions__lut_1ga8053cf7a6c0ab9d98a6e0c90d4c9ef83" inline="no" kind="function" prot="public" static="no" virt="non-virtual">
        <type><ref kindref="member" refid="group__group__smartio__enums_1ga539e453be0c4fdbcba47609451495f13">cy_en_smartio_status_t</ref></type>
        <definition>cy_en_smartio_status_t Cy_SmartIO_SetLutMap</definition>
        <argsstring>(SMARTIO_PRT_Type *base, cy_en_smartio_lutnum_t lutNum, uint8_t lutMap)</argsstring>
        <name>Cy_SmartIO_SetLutMap</name>
        <param>
          <type>SMARTIO_PRT_Type *</type>
          <declname>base</declname>
        </param>
        <param>
          <type><ref kindref="member" refid="group__group__smartio__enums_1ga93e2244ac0b5f930de93937ee83314cb">cy_en_smartio_lutnum_t</ref></type>
          <declname>lutNum</declname>
        </param>
        <param>
          <type>uint8_t</type>
          <declname>lutMap</declname>
        </param>
        <briefdescription>
<para>Sets the 3 bit input to 1 bit output mapping of the specified LUT. </para>        </briefdescription>
        <detaileddescription>
<para><verbatim>embed:rst 
.. raw:: html

  &lt;table class="docutils align-default"&gt;&lt;tr&gt;&lt;td class="head"&gt;&lt;p&gt;tr2&lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;tr1&lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;tr0&lt;/p&gt;&lt;/td&gt;&lt;td class="head"&gt;&lt;p&gt;lutMap &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 0  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 1  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 2  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 3  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 4  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 5  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;0 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 6  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;tr&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;1 &lt;/p&gt;&lt;/td&gt;&lt;td&gt;&lt;p&gt;bit 7  &lt;/p&gt;&lt;/td&gt;&lt;/tr&gt;&lt;/table&gt;</verbatim></para><para><parameterlist kind="param"><parameteritem>
<parameternamelist>
<parametername>base</parametername>
</parameternamelist>
<parameterdescription>
<para>Pointer to the Smart I/O base address</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lutNum</parametername>
</parameternamelist>
<parameterdescription>
<para>LUT index number</para></parameterdescription>
</parameteritem>
<parameteritem>
<parameternamelist>
<parametername>lutMap</parametername>
</parameternamelist>
<parameterdescription>
<para>Bitfield [7:0] mapping of the 3:1 LUT</para></parameterdescription>
</parameteritem>
</parameterlist>
<simplesect kind="return"><para>Status of the operation</para></simplesect>
<verbatim>embed:rst 
.. raw:: html

  &lt;div class="admonition note"&gt;&lt;p class="admonition-title"&gt;note&lt;/p&gt;&lt;p&gt;&lt;p&gt;The Smart I/O block must be disabled before calling this function.&lt;/p&gt;&lt;/p&gt;&lt;/div&gt;</verbatim><simplesect kind="par"><title>Function Usage</title><para><programlisting><codeline><highlight class="normal" /></codeline>
<codeline><highlight class="normal" /><highlight class="preprocessor"><sp /><sp /><sp /><sp />#define<sp />ioss_0_port_8_smartio_0_HW<sp />SMARTIO_PRT8</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="comment">/*<sp />Scenario:<sp />Smart<sp />I/O<sp />block<sp />8<sp />LUT1<sp />mapping<sp />needs<sp />to<sp />be<sp />updated<sp />to<sp />produce<sp />a</highlight></codeline>
<codeline><highlight class="comment"><sp /><sp /><sp /><sp /><sp /><sp /><sp />1<sp />when<sp />all<sp />TR0,<sp />TR1<sp />and<sp />TR2<sp />inputs<sp />are<sp />0.<sp />*/</highlight><highlight class="normal" /></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />uint8_t<sp />lutMap;</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />lutMap<sp />=<sp /><ref kindref="member" refid="group__group__smartio__functions__lut_1gabc227ab40c290d6f7f1de7632a590bac">Cy_SmartIO_GetLutMap</ref>(SMARTIO_PRT8,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba8de9331a7e4bd3bf307aa79795fdbd1c">CY_SMARTIO_LUT1</ref>);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight><highlight class="keywordflow">if</highlight><highlight class="normal">(lutMap<sp />!=<sp />0x01u)</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />{</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gae2e3b2cedcb5c84834aa48de6c753bcc">Cy_SmartIO_Disable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__lut_1ga8053cf7a6c0ab9d98a6e0c90d4c9ef83">Cy_SmartIO_SetLutMap</ref>(SMARTIO_PRT8,<sp /><ref kindref="member" refid="group__group__smartio__enums_1gga93e2244ac0b5f930de93937ee83314cba8de9331a7e4bd3bf307aa79795fdbd1c">CY_SMARTIO_LUT1</ref>,<sp />0x01u);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /><sp /><sp /><sp /><sp /><ref kindref="member" refid="group__group__smartio__functions__init_1gac25d71fa083b90fd27006daff3279eec">Cy_SmartIO_Enable</ref>(SMARTIO_PRT8);</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp />}</highlight></codeline>
<codeline><highlight class="normal"><sp /><sp /><sp /><sp /></highlight></codeline>
</programlisting></para></simplesect>
</para>        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="716" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/source/cy_smartio.c" bodystart="703" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_smartio.h" line="556" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>